#ifndef VIEW_H
#define VIEW_H

namespace MM
{

class Model;

class View
{
public:    
    View( const Model & model);
    virtual ~View()=0;
    virtual void rebuild( ) =0;
    virtual void update( bool rebuild_flag = true ) =0;
    virtual void render( ) =0;
    virtual void draw( ) =0;
    bool operator == (const View & view) const; //fix address
    bool operator != (const View & view) const;
};

}//MM

#endif //VIEW_H
